/*当前开发环境没有scss，如有需要可以后期合并到scss文件里面*/
.troublesome {
	padding: 16px 0;
	float: left;
	width: 100%;
	height: 94%;
	overflow-x: hidden;
	overflow-y: scroll;
}

.troublesome .lining {
	width: 100%;
	min-height: 100%;
	float: left;
	height: auto;
}

.lining h2 {
	line-height: 56px;
	font-size: 16px;
	float: left;
	margin-right: 20px;
}

.analyze .exportform {
	display: inline-block;
	width: 150px;
	height: 35px;
	margin: 11px 0;
	border-radius: 4px;
	border: 0px solid #000;
	background-color: #178AEC;
	color: #fff;
	font-size: 15px;
	cursor: pointer;
}

#analyze .disableGrey {
	background-color: #eee;
	pointer-events: none;
	color: #fff;
	cursor: pointer;
}

.lining .btn-default {
	width: 150px;
	height: 35px;
	margin: 11px 0;
	border-radius: 4px;
	border: 0px solid #000;
	background-color: #178AEC;
	color: #fff;
	font-size: 15px;
	cursor: pointer;
	float: left;
}

.lining .buttons .btn-default {
	background-color: #ffffff;
	border: 1px solid #adadad;
	color: #333;
}

.lining .exportform:hover {
	background-color: #5885F3;
}

.lining table {
	 width: 100%;
	border-collapse: collapse;
	font-size: 14px;
	background-color: #fff;
}
.probability {
	margin-top: 10px;
	border-left: 1px solid #cfcfcf;
	border-top: 1px solid #cfcfcf;
}
.probability td {
	max-width: 5%;
	padding: 2px 5px;
	border-right: 1px solid #cfcfcf;
	border-bottom: 1px solid #cfcfcf;
}
.probability td:first-child {
	background-color: #f3f3f3;
}
.probability input {
	width: 100%;
	text-align: center;
	background-color: transparent;
	border: none;
	outline: none;
}
/*在谷歌下移除input[number]的上下箭头*/
.probability input[type="number"]::-webkit-outer-spin-button {
	-webkit-appearance: none !important;
	margin: 0;
}
/*在firefox下移除input[number]的上下箭头*/
.probability input[type="number"] {
	-moz-appearance: textfield;
}

.lining table.jexcel {
	/* width: 200px; */
	border-collapse: separate;
}

.lining .iconfont {
	color: #ccc;
	font-size: 14px;
	margin-left: 8px;
}

.lining .iconfontChange {
	font-size: 16px;
	font-family: none !important;
	margin-left: 0;
}

.lining table tr {
	width: 100%;
	/* line-height: 35px; */
	height: 27px;
	/* height: 35px; */
	text-align: center;
}

.lining table tr:hover {
	background: #f5f5f5;
}

/* 实验改table ?颜色 */
/* .lining table tr .iconfont {
	color: #fff;
} */

/* .lining table tbody tr .iconfont {
	color: #178AEC;
} */


/* .lining table tr.lastBorder td {
	border-bottom: 2px solid;
} */
.lining table tr.lastBorder td {
	border-bottom: 2px solid;
}

.lining table tr .lastBorder {
	border-bottom: 2px solid;
}

.lining table tr.lastTopBorder td {
	border-top: 2px solid;
}

.lining table tr.lastTopBorder td p{
	display: inline-block;
}

.copyTable {
	width: 16px;
	height: 16px;
	border: none;
	background: transparent;
	outline: none;
	background-image: url(../images/updata/back_up_black.svg);
	background-repeat: no-repeat;
}

.subtotalChange,
.subtotalcolChange,
.entropyChange,
.entropyChange1,
.npsoneChange,
.npstwoChange,
.rfmChange,
.rfmTypeChange,
.varSelect,
.varVdSelect,
.fisherChiSelect{
	/* width: 16px;
	height: 16px; */
	border-radius: 4px;
	margin-left: 20px;
	cursor: pointer;
}

.lining table tr th {
	/*background: #fafafa;*/
	color: #000;
	font-weight: 400;
	/* border: 1px solid #DDDDDD; */
	line-height: 30px;
	text-align: center;
	border-bottom: 1px solid;
}

.table-bordered>thead>tr>th,
.table-bordered>tbody>tr>td {
	border: none;
}

.table-bordered>thead>tr>th {
	border-bottom: 1px solid;
}

/* 实验改table标题颜色 */
.lining table tr:nth-of-type(1) th {
	background: #FFF;
	border-bottom: 2px solid;
}

.lining table tr.subtitle {
	border-bottom: 1px solid;
	border-top: 1px solid;
}
.lining table tr.subtitletop {
	border-top: 1px solid;
}
.lining table tr.subtitle th {
	border-bottom: none;
}

.rightsBox table tr th {
	background: #fafafa;
	color: #000;
	font-weight: 400;
	border: 1px solid #DDDDDD;
	line-height: 30px;
	text-align: center;
}

.lining table tr.cfagray td {
	background: #fafafa;
	color: #000;
	font-weight: 400;
}

.lining table tr td {
	color: #000;
	/* border: 1px solid #DDDDDD; */
	/* border-bottom: 2px solid; */
}

.lining table.allBorder {
	/* border: 1px solid #DDDDDD; */
}

.lining table.allBorder tr th {
	/* border-bottom: none; */
	border: 1px solid #DDDDDD;
}

.lining table.allBorder tr:nth-of-type(1) th {
	/* border-bottom: none; */
	border: none;
	border-bottom: 1px solid #DDDDDD;
}

.lining table.allBorder tr td {
	/* border-bottom: none; */
	border: 1px solid #DDDDDD;
}

.table_bg_blue {
	background: #178AEC;
	color: #fff;
}

.table_bg_red {
	background: red;
	color: #fff;
}

.lining table tr td .rocTableInput {
	/* position: absolute;
	left: 0;
	top: 2px; */
	border: 0;
	border: none;
	outline: none;
	height: 100%;
	width: 100%;
	text-align: center;
}

.lining table tr td .rocTableInputRed {
	border-bottom: 1px solid;
	border-color: #E20101;
}

.lining table tr td .rocTableInputBlue {
	border-bottom: 1px solid;
	border-color: #178AEC;
}

/* AHP层次分析 */

.troublesome .lining .ahpBox {
	width: 100%;
	background: #f5f5f5;
	min-height: 100%;
	padding: 10px 10px;
}

.lining .ahpBox .startAnalyzeBtn {
	width: 107px;
	margin-top: 20px;
	margin-bottom: 20px;
	border-radius: 999px;
	height: 35px;
	border: 0px solid #000;
	background-color: #178AEC;
	color: #fff;
	font-size: 15px;
	cursor: pointer;
}

.lining .weightSelect {
	width: 100px;
	height: 38px;
	color: #333;
	font-size: 14px;
}

.lining .weightTypeSelect {
	width: 100px;
	height: 38px;
	color: #333;
	font-size: 14px;
}

.lining .weightSelects {
	width: 123px;
	height: 38px;
	color: #333;
	font-size: 14px;
}

.lining table#tMatrix {
	border: 1px solid #DDDDDD;
	table-layout: fixed;
	display: table;
	width: 10px;
	background: #E9EFF7;
	border-right: 1px solid #DDDDDD;
	font-weight: 400;
	color: #999999;
}

.lining table#tMatrix th {
	border: 1px solid #DDDDDD;
}

.lining table#tMatrix td {
	border: 1px solid #DDDDDD;
}

.lining #tMatrix input::-webkit-outer-spin-button,
.lining #tMatrix input::-webkit-inner-spin-button {
	-webkit-appearance: none !important;
}

/* chrome */
.lining #tMatrix input[type="number"] {
	-moz-appearance: textfield;
	/* firefox */
}

.lining table#tMatrix tr {
	line-height: normal;
}

.lining table#tMatrix tr th {
	background: #E9EFF7;
	/*border-right: 1px solid #000;*/
	border-right: 1px solid #DDDDDD;
	font-weight: 400;
	color: #999999;
	height: 38px;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.lining #tMatrix tr td.weightTdColor,
.lining #tMatrix tr th.weightTdColor {
	background: #FFFFFF;
	/*border-right: 1px solid #000;*/
	border-right: 1px solid #DDDDDD;
	font-weight: 400;
	color: #000;
	height: 38px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.lining #tMatrix .nonlinearRegressions_tbody tr th {
	background: #FFFFFF;
	height: 36px;
}

.lining #tMatrix .nonlinearRegressions_tbody tr td {
	background: #FFFFFF;
	height: 36px;
}

.lining #tMatrix tr td,
.lining #tMatrix tr th:hover {
	text-overflow: inherit;
	overflow: visible;
}

.lining table#tMatrix tr td input,
.lining table#tMatrix tr th input {
	height: 100%;
	display: none;
}

.tableAhpBox {
	margin-bottom: 8px;
	width: calc(100vw - 290px);
	overflow-x: auto;
}

.tableAhpBox .anaSortTable {
	border-bottom: 2px solid #000;
}